/**
 * Checkbox component.
 * @class ApCheckbox
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _apemanReactIcon = require('apeman-react-icon');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var DEFAULT_ICON = 'ion ion-android-checkbox-outline-blank';
var DEFAULT_CHECKED_ICON = 'ion ion-android-checkbox';

/** @lends ApCheckbox */
var ApCheckbox = _react2.default.createClass({
  displayName: 'ApCheckbox',


  // --------------------
  // Specs
  // --------------------

  propTypes: {
    /** Document id */
    id: _react.PropTypes.string.isRequired,
    /** Name of checkbox input */
    name: _react.PropTypes.string.isRequired,
    /** Value of checkbox input */
    value: _react.PropTypes.string.isRequired,
    /** Label title */
    title: _react.PropTypes.string,
    /** Checked or not */
    checked: _react.PropTypes.bool,
    /** Handle for change event */
    onChange: _react.PropTypes.func,
    /** Icon class name for normal state */
    icon: _react.PropTypes.string,
    /** Icon class name for checked state */
    checkedIcon: _react.PropTypes.string
  },

  statics: {
    DEFAULT_ICON: DEFAULT_ICON,
    DEFAULT_CHECKED_ICON: DEFAULT_CHECKED_ICON
  },

  getInitialState: function getInitialState() {
    return {};
  },
  getDefaultProps: function getDefaultProps() {
    return {
      id: null,
      name: null,
      value: '',
      title: '',
      checked: false,
      onChange: null,
      icon: DEFAULT_ICON,
      checkedIcon: DEFAULT_CHECKED_ICON
    };
  },
  render: function render() {
    var _iconClass;

    var s = this;
    var props = s.props;
    var id = props.id;
    var name = props.name;
    var value = props.value;
    var checked = props.checked;
    var onChange = props.onChange;


    var iconClass = (_iconClass = {
      'ap-checkbox-icon-checked': checked
    }, _defineProperty(_iconClass, props.checkedIcon, checked), _defineProperty(_iconClass, props.icon, !checked), _iconClass);

    var className = (0, _classnames2.default)('ap-checkbox', props.className, {
      'ap-checkbox-checked': checked
    });
    return _react2.default.createElement(
      'label',
      { className: className,
        htmlFor: id,
        id: id + '-wrap' },
      _react2.default.createElement(_apemanReactIcon.ApIcon, { className: (0, _classnames2.default)('ap-checkbox-icon', iconClass) }),
      _react2.default.createElement('input', { type: 'checkbox',
        className: (0, _classnames2.default)('ap-checkbox-input'),
        id: id,
        name: name,
        value: value,
        checked: checked,
        onChange: onChange }),
      _react2.default.createElement(
        'span',
        { className: (0, _classnames2.default)('ap-checkbox-title') },
        props.title
      )
    );
  }
});

exports.default = ApCheckbox;
//# sourceMappingURL=data:application/json;base64,bnVsbA==