/**
 * Checkbox component.
 * @class ApCheckbox
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _apemanReactMixinUuid = require('apeman-react-mixin-uuid');

var _ap_checkbox = require('./ap_checkbox');

var _ap_checkbox2 = _interopRequireDefault(_ap_checkbox);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @lends ApCheckboxGroup */
var ApCheckboxGroup = _react2.default.createClass({
  displayName: 'ApCheckboxGroup',


  // --------------------
  // Specs
  // --------------------

  propTypes: {
    /** Document id prefix */
    prefix: _react.PropTypes.string,
    /** Name of checkbox input */
    name: _react.PropTypes.string.isRequired,
    /** Value and label titles */
    options: _react.PropTypes.object.isRequired,
    /** Checked state for each values */
    checked: _react.PropTypes.object.isRequired,
    /** Handle for change event */
    onChange: _react.PropTypes.func,
    /** Icon class name for normal state */
    icon: _react.PropTypes.string,
    /** Icon class name for checked state */
    checkedIcon: _react.PropTypes.string
  },

  mixins: [_apemanReactMixinUuid.ApUUIDMixin],

  getInitialState: function getInitialState() {
    return {};
  },
  getDefaultProps: function getDefaultProps() {
    return {
      prefix: null,
      name: null,
      title: '',
      checked: {},
      options: {},
      onChange: null,
      icon: _ap_checkbox2.default.DEFAULT_ICON,
      checkedIcon: _ap_checkbox2.default.DEFAULT_CHECKED_ICON
    };
  },
  render: function render() {
    var s = this;
    var props = s.props;
    var prefix = props.prefix;
    var name = props.name;
    var options = props.options;
    var checked = props.checked;
    var icon = props.icon;
    var checkedIcon = props.checkedIcon;


    prefix = prefix || s.uuid;

    return _react2.default.createElement(
      'div',
      { className: (0, _classnames2.default)('ap-checkbox-group', props.className) },
      Object.keys(options || {}).map(function (value) {
        return _react2.default.createElement(_ap_checkbox2.default, { key: value,
          name: name,
          value: value,
          id: prefix + '-' + value,
          checked: !!checked[value],
          title: options[value],
          icon: icon,
          checkedIcon: checkedIcon,
          onChange: s.handleChange
        });
      })
    );
  },


  // --------------------
  // Handle
  // --------------------

  handleChange: function handleChange(e) {
    var s = this;
    var props = s.props;

    if (props.onChange) {
      props.onChange(e);
    }
  }
});

exports.default = ApCheckboxGroup;
//# sourceMappingURL=data:application/json;base64,bnVsbA==