/**
 * Style for ApCheckbox.
 * @class ApCheckboxStyle
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _apemanReactStyle = require('apeman-react-style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @lends ApCheckboxStyle */
var ApCheckboxStyle = _react2.default.createClass({
  displayName: 'ApCheckboxStyle',

  propTypes: {
    style: _react.PropTypes.object,
    highlightColor: _react.PropTypes.string
  },
  getDefaultProps: function getDefaultProps() {
    return {
      style: {},
      highlightColor: '#38E'
    };
  },

  statics: {
    styleData: function styleData(config) {
      var highlightColor = config.highlightColor;


      return {
        all: {
          '.ap-checkbox': {
            display: 'inline-block',
            padding: '0 4px',
            cursor: 'pointer',
            position: 'relative'
          },
          '.ap-checkbox:hover': {
            opacity: 0.9
          },
          '.ap-checkbox:active': {
            opacity: 0.75
          },
          '.ap-checkbox-input': {
            display: 'inline-block',
            padding: '0 2px',
            position: 'relative',
            top: '-2px',
            opacity: 0,
            zIndex: 8
          },
          '.ap-checkbox-title': {},
          '.ap-checkbox-icon': {
            position: 'absolute',
            left: 2,
            top: 0,
            bottom: 0,
            display: 'inline-flex',
            justifyContent: 'center',
            alignItems: 'center'
          },
          '.ap-checkbox:hover .ap-checkbox-icon': {
            color: '' + highlightColor
          },
          '.ap-checkbox:active .ap-checkbox-icon': {
            opacity: 0.5
          },
          '.ap-checkbox-icon-checked': {
            color: '' + highlightColor
          }
        },
        small: {},
        medium: {},
        large: {}
      };
    }
  },
  render: function render() {
    var s = this;
    var props = s.props;

    var _ApCheckboxStyle$styl = ApCheckboxStyle.styleData(props);

    var all = _ApCheckboxStyle$styl.all;
    var small = _ApCheckboxStyle$styl.small;
    var medium = _ApCheckboxStyle$styl.medium;
    var large = _ApCheckboxStyle$styl.large;


    return _react2.default.createElement(
      _apemanReactStyle.ApStyle,
      { data: Object.assign(all, props.style),
        smallMediaData: small,
        mediumMediaData: medium,
        largeMediaData: large
      },
      props.children
    );
  }
});

exports.default = ApCheckboxStyle;
//# sourceMappingURL=data:application/json;base64,bnVsbA==